NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Drawings.SheetDraftingViewCollection Class Reference

Represents a collection of NXOpen.Drawings.DraftingView s. More...

Inheritance diagram for NXOpen.Drawings.SheetDraftingViewCollection:

Public Member Functions

NXOpen.Drawings.DraftingView[] ToArray ()
 Returns an array of NXOpen.Drawings.DraftingView objects. More...
 
unsafe NXOpen.Drawings.DraftingView FindObject (string journalIdentifier)
 Finds the NXOpen.Drawings.DraftingView with the given identifier as recorded in a journal. More...
 
unsafe NXOpen.Drawings.BaseView CreateBaseView (NXOpen.ModelingView modelView, NXOpen.Point3d drawingReferencePoint, double viewScale, bool inheritClippingBoundry)
 For the selected part adds the base view as well as returns the reference to NXOpen.Drawings.DraftingView . More...
 
unsafe
NXOpen.Drawings.ProjectedView 
CreateProjectedView (NXOpen.Drawings.DraftingView parentView, NXOpen.Point3d drawingReferencePoint)
 Lets you add a projected view (Orthoraphic View) for the selected parent view. More...
 
unsafe
NXOpen.Drawings.ProjectedView 
CreateProjectedView (NXOpen.Drawings.DraftingView parentView, NXOpen.Point3d drawingReferencePoint, NXOpen.Direction hingeLine)
 Lets you add a projected view (A View) for the selected parent view. More...
 
unsafe
NXOpen.Drawings.ProjectedView 
CreateProjectedView (NXOpen.Drawings.DraftingView parentView, NXOpen.Point3d drawingReferencePoint, bool reverseDirection)
 Lets you add a projected view (A View) for the selected parent view. More...
 
unsafe void DeleteView (NXOpen.Drawings.DraftingView currentView)
 Lets you delete the view More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Drawings.DraftingView s.

Use NXOpen.Drawings.DrawingSheet.SheetDraftingViews to get the instance of this class.

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.Drawings.BaseView NXOpen.Drawings.SheetDraftingViewCollection.CreateBaseView ( NXOpen.ModelingView  modelView,
NXOpen.Point3d  drawingReferencePoint,
double  viewScale,
bool  inheritClippingBoundry 
)

For the selected part adds the base view as well as returns the reference to NXOpen.Drawings.DraftingView .

An imported model view (base view) determines orthographic space on the drawing and is used as a reference to establish the alignment and scale for all subsequent projected views.

Created in NX5.0.0

License requirements: None.

Parameters
modelViewModeling View to be import as base view.
drawingReferencePointview origin(location)
viewScaleview scale
inheritClippingBoundryif true inherit xyclip
Returns
Base view
unsafe NXOpen.Drawings.ProjectedView NXOpen.Drawings.SheetDraftingViewCollection.CreateProjectedView ( NXOpen.Drawings.DraftingView  parentView,
NXOpen.Point3d  drawingReferencePoint 
)

Lets you add a projected view (Orthoraphic View) for the selected parent view.

Created in NX5.0.0

License requirements: None.

Parameters
parentViewSelected Parent view
drawingReferencePointview origin(location)
Returns
Projected view
unsafe NXOpen.Drawings.ProjectedView NXOpen.Drawings.SheetDraftingViewCollection.CreateProjectedView ( NXOpen.Drawings.DraftingView  parentView,
NXOpen.Point3d  drawingReferencePoint,
NXOpen.Direction  hingeLine 
)

Lets you add a projected view (A View) for the selected parent view.

Created in NX5.0.0

License requirements: None.

Parameters
parentViewSelected Parent view
drawingReferencePointview origin(location)
hingeLinehinge line vector
Returns
Projected view
unsafe NXOpen.Drawings.ProjectedView NXOpen.Drawings.SheetDraftingViewCollection.CreateProjectedView ( NXOpen.Drawings.DraftingView  parentView,
NXOpen.Point3d  drawingReferencePoint,
bool  reverseDirection 
)

Lets you add a projected view (A View) for the selected parent view.

Created in NX5.0.1

License requirements: None.

Parameters
parentViewSelected Parent view
drawingReferencePointview origin(location)
reverseDirectionreverse direction of projection
Returns
Projected view
unsafe void NXOpen.Drawings.SheetDraftingViewCollection.DeleteView ( NXOpen.Drawings.DraftingView  currentView)

Lets you delete the view

Created in NX5.0.0

License requirements: None.

Parameters
currentViewView to be deleted
override int NXOpen.Drawings.SheetDraftingViewCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Drawings.DraftingView NXOpen.Drawings.SheetDraftingViewCollection.FindObject ( string  journalIdentifier)

Finds the NXOpen.Drawings.DraftingView with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX3.0.0

License requirements: None.

Parameters
journalIdentifierIdentifier of the drafting view to be found
Returns
View with this identifier
NXOpen.Drawings.DraftingView [] NXOpen.Drawings.SheetDraftingViewCollection.ToArray ( )

Returns an array of NXOpen.Drawings.DraftingView objects.

Property Documentation

Tag NXOpen.Drawings.SheetDraftingViewCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.